Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model
Class DiagramViewOptions

    java.lang.Object
      com.beanexplorer.beans.Option
          biouml.model.DiagramViewOptions

Direct Known Subclasses:
  PathwayDiagramViewOptions

public class DiagramViewOptions
extends com.beanexplorer.beans.Option

General class to store options for diagram painting.

Field Summary
`int` | `compartmentTitleAlignment`
`protected ColorFont` | `compartmentTitleFont` Diagram title `ColorFont`.
`protected ColorFont` | `defaultFont` Default `ColorFont`.
`protected Pen` | `defaultPen` Default `Pen`.
`protected boolean` | `designMode`
`int` | `diagramTitleAlignment`
`protected ColorFont` | `diagramTitleFont` Diagram title `ColorFont`.
`protected boolean` | `diagramTitleVisible`
`protected Pen` | `nodePen` `Pen` to paint Node.
`protected ColorFont` | `nodeTitleFont` `ColorFont` for Node title.
`protected java.awt.Point` | `nodeTitleMargin` Margin between node image and node title.
`protected Brush` | `noteBrush`
`protected Pen` | `noteLinkPen`
`protected java.awt.Point` | `noteMargin`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`DiagramViewOptions(com.beanexplorer.beans.Option parent)` Creates `DiagramViewOptions` and initializes it to the specified options.

Method Summary
`int` | `getCompartmentTitleAlignment()`
`ColorFont` | `getCompartmentTitleFont()`
`ColorFont` | `getDefaultFont()`
`Pen` | `getDefaultPen()`
`int` | `getDiagramTitleAlignment()`
`ColorFont` | `getDiagramTitleFont()`
`Pen` | `getNodePen()`
`ColorFont` | `getNodeTitleFont()`
`java.awt.Point` | `getNodeTitleMargin()`
`Brush` | `getNoteBrush()`
`Pen` | `getNoteLinkPen()`
`java.awt.Point` | `getNoteMargin()`
`boolean` | `isDesignMode()`
`boolean` | `isDiagramTitleVisible()`
`void` | `setCompartmentTitleAlignment(int compartmentTitleAlignment)`
`void` | `setCompartmentTitleFont(ColorFont compartmentTitleFont)`
`void` | `setDefaultFont(ColorFont defaultFont)`
`void` | `setDefaultPen(Pen defaultPen)`
`void` | `setDesignMode(boolean designMode)`
`void` | `setDiagramTitleAlignment(int diagramTitleAlignment)`
`void` | `setDiagramTitleFont(ColorFont diagramTitleFont)`
`void` | `setDiagramTitleVisible(boolean diagramTitleVisible)`
`void` | `setNodePen(Pen nodePen)`
`void` | `setNodeTitleFont(ColorFont nodeTitleFont)`
`void` | `setNodeTitleMargin(java.awt.Point nodeTitleMargin)`
`void` | `setNoteBrush(Brush noteBrush)`
`void` | `setNoteLinkPen(Pen noteLinkPen)`
`void` | `setNoteMargin(java.awt.Point noteMargin)`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### designMode

    protected boolean designMode

### diagramTitleFont

    protected ColorFont diagramTitleFont

  Diagram title `ColorFont`.

### diagramTitleVisible

    protected boolean diagramTitleVisible

### diagramTitleAlignment

    public int diagramTitleAlignment

### compartmentTitleFont

    protected ColorFont compartmentTitleFont

  Diagram title `ColorFont`.

### compartmentTitleAlignment

    public int compartmentTitleAlignment

### noteBrush

    protected Brush noteBrush

### noteMargin

    protected java.awt.Point noteMargin

### noteLinkPen

    protected Pen noteLinkPen

### nodePen

    protected Pen nodePen

  `Pen` to paint Node.

### nodeTitleFont

    protected ColorFont nodeTitleFont

  `ColorFont` for Node title.

### nodeTitleMargin

    protected java.awt.Point nodeTitleMargin

  Margin between node image and node title.

### defaultPen

    protected Pen defaultPen

  Default `Pen`.

### defaultFont

    protected ColorFont defaultFont

  Default `ColorFont`.

Constructor Detail

### DiagramViewOptions

    public DiagramViewOptions(com.beanexplorer.beans.Option parent)

  Creates `DiagramViewOptions` and initializes it to the specified options.

Parameters:
  `parent` - parent property

Method Detail

### isDesignMode

    public boolean isDesignMode()

### setDesignMode

    public void setDesignMode(boolean designMode)

### getDiagramTitleFont

    public ColorFont getDiagramTitleFont()

### setDiagramTitleFont

    public void setDiagramTitleFont(ColorFont diagramTitleFont)

### isDiagramTitleVisible

    public boolean isDiagramTitleVisible()

### setDiagramTitleVisible

    public void setDiagramTitleVisible(boolean diagramTitleVisible)

### getDiagramTitleAlignment

    public int getDiagramTitleAlignment()

### setDiagramTitleAlignment

    public void setDiagramTitleAlignment(int diagramTitleAlignment)

### getCompartmentTitleFont

    public ColorFont getCompartmentTitleFont()

### setCompartmentTitleFont

    public void setCompartmentTitleFont(ColorFont compartmentTitleFont)

### getCompartmentTitleAlignment

    public int getCompartmentTitleAlignment()

### setCompartmentTitleAlignment

    public void setCompartmentTitleAlignment(int compartmentTitleAlignment)

### getNoteBrush

    public Brush getNoteBrush()

### setNoteBrush

    public void setNoteBrush(Brush noteBrush)

### getNoteMargin

    public java.awt.Point getNoteMargin()

### setNoteMargin

    public void setNoteMargin(java.awt.Point noteMargin)

### getNoteLinkPen

    public Pen getNoteLinkPen()

### setNoteLinkPen

    public void setNoteLinkPen(Pen noteLinkPen)

### getNodePen

    public Pen getNodePen()

### setNodePen

    public void setNodePen(Pen nodePen)

### getNodeTitleFont

    public ColorFont getNodeTitleFont()

### setNodeTitleFont

    public void setNodeTitleFont(ColorFont nodeTitleFont)

### getNodeTitleMargin

    public java.awt.Point getNodeTitleMargin()

### setNodeTitleMargin

    public void setNodeTitleMargin(java.awt.Point nodeTitleMargin)

### getDefaultPen

    public Pen getDefaultPen()

### setDefaultPen

    public void setDefaultPen(Pen defaultPen)

### getDefaultFont

    public ColorFont getDefaultFont()

### setDefaultFont

    public void setDefaultFont(ColorFont defaultFont)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.